summaryrefslogtreecommitdiffstats
path: root/audio/ncmpcpp
diff options
context:
space:
mode:
author Juan Camilo Noreña2010-05-12 23:28:06 +0200
committer David Somero2010-05-12 23:28:06 +0200
commit8d9e3ec6ccd06c8f3ce4f566065d046827be14c5 (patch)
tree54987a0a3f61bcfca61979f6c78d173119b7790e /audio/ncmpcpp
parent9350424f86994de3a2e0429e82e306cf6dc4afca (diff)
downloadslackbuilds-8d9e3ec6ccd06c8f3ce4f566065d046827be14c5.tar.gz
audio/ncmpcpp: Added to 12.2 repository
Diffstat (limited to 'audio/ncmpcpp')
-rw-r--r--audio/ncmpcpp/README6
-rw-r--r--audio/ncmpcpp/ncmpcpp.SlackBuild84
-rw-r--r--audio/ncmpcpp/ncmpcpp.info9
-rw-r--r--audio/ncmpcpp/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/audio/ncmpcpp/README b/audio/ncmpcpp/README
new file mode 100644
index 0000000000..2bf4fe2d06
--- /dev/null
+++ b/audio/ncmpcpp/README
@@ -0,0 +1,6 @@
+ncmpcpp is almost exact clone of ncmpc (a curses based MPD client),
+but it contains some new features ncmpc doesn't have:
+lyrics, tag editor, playlists editor, fetching artist's info from
+last.fm, etc...
+
+Requires mpd available at SlackBuilds.org
diff --git a/audio/ncmpcpp/ncmpcpp.SlackBuild b/audio/ncmpcpp/ncmpcpp.SlackBuild
new file mode 100644
index 0000000000..3220e3922f
--- /dev/null
+++ b/audio/ncmpcpp/ncmpcpp.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for ncmpc
+
+# Copyright 2006 Andrew Brouwers <abrouwers@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=ncmpcpp
+VERSION=0.3.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --enable-unicode \
+ --with-curl \
+ --with-taglib \
+ --build=$ARCH-slackware-linux \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README doc/config \
+ doc/keys $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/ncmpcpp/ncmpcpp.info b/audio/ncmpcpp/ncmpcpp.info
new file mode 100644
index 0000000000..1fb12aa589
--- /dev/null
+++ b/audio/ncmpcpp/ncmpcpp.info
@@ -0,0 +1,9 @@
+PRGNAM="ncmpcpp"
+VERSION="0.3.4"
+HOMEPAGE="http://unkart.ovh.org/ncmpcpp/"
+DOWNLOAD="http://unkart.ovh.org/ncmpcpp/ncmpcpp-0.3.4.tar.bz2"
+MD5SUM="8500b8afb551bb299639246b959f8ac7"
+MAINTAINER="Juan Camilo Noreña"
+EMAIL="jcnb81@gmail.com"
+APPROVED="dsomero"
+
diff --git a/audio/ncmpcpp/slack-desc b/audio/ncmpcpp/slack-desc
new file mode 100644
index 0000000000..7943dba5ff
--- /dev/null
+++ b/audio/ncmpcpp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ncmpcpp: Ncmpcpp (clone of ncmpc with some new features written in C++)
+ncmpcpp:
+ncmpcpp: ncmpcpp is almost exact clone of ncmpc (a curses based MPD client),
+ncmpcpp: but it contains some new features ncmpc doesn't have:
+ncmpcpp: lyrics, tag editor, playlists editor, fetching artist's info from
+ncmpcpp: last.fm, etc...
+ncmpcpp:
+ncmpcpp: http://unkart.ovh.org/ncmpcpp/
+ncmpcpp:
+ncmpcpp:
+ncmpcpp: